<?php
/**
 * $Source: /home/cvs/nukescripts/admin/case/case.cmax.php,v $
 * $Revision: 1.0.1-1 $
 * $Author: cyril $
 * $Date: 2006/08/22 12:49:01 $
 *
 */
/************************************************************************/
/* Maximus CMS: Web Portal System                                       */
/* ==============================                                       */
/*                                                                      */
/* Copyright (c) 2002 - 2006                                            */
/* http://www.php-maximus.fr                                            */
/* dev@php-maximus.org                                                  */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/************************************************************************/
/* Based on PHP-NUKE: Web Portal System                                 */
/************************************************************************/
if (!defined('ADMIN_ALLOW') && !defined('ADMIN_MAX')) {
	die ("Access Denied");
}
switch($op) {

    case 'cMax':
    case 'cMaxCache_Config':
    case 'cMaxCache_Blocks':
    case 'cMaxCache_Modules':
    case 'mini_dazibao':
    case 'Dazibao':
    case 'EnvoyerDazibao':
    case 'ModDazibao':
    case 'DelDazibao':
    case 'UpdDazibao':
    case 'max_LogAcessAdmin':
    case 'max_LogAcessAdminDeny':
    case 'max_debug':
    case 'max_sessions':
    case 'max_sessionkill':
    case 'ListingcMax':
    case 'ListingcMaxBlocks':
    case 'ListingcMaxConfiguration':
    case 'UpdatecMax':
    case 'UpdatecMaxBlocks':
    case 'CreatecMax':
    case 'DeactivecMax':
    case 'ReactivecMax':
    case 'DeleteFilecMax':
    case 'DeleteFilecMaxBlocks':
    case 'DeleteFilecMaxConfiguration':
    case 'ViewFilecMax':
    case 'ViewFilecMaxBlocks':
    case 'ViewPHPInfo':
    case 'cMaxFolderAdmin':
    case 'cMaxFolderImages':
    case 'cMaxFolderModules':
    case 'cMaxFolderKernel':
    case 'cMaxFolderLanguage':
    case 'cMaxFolderBlocks':
    case 'cMaxFolderAbuse':
    case 'cMaxFolderIncludes':
    case 'cMaxFolderThemes':
    case 'cMaxSizeFolder':
    case 'CacheSize':
    case 'cMaxSizeWebSpace':
    case 'LicenceGPL':
    case 'Credits':
    case 'MentionsLegales':
    case 'MentionsLegales_Save':
    case 'DelDebug':
    case 'EmptyDebug':
    case 'EmptyCache':
    case 'ConfirmEmptyCache':
    if (is_file('admin/modules/cMax.php')) {
    include_once ('admin/modules/cMax.php');}
    break;

}